VMware PowerCLI

The Best User Interface for your VMware Datacenter!

Compatibility with powershell 7

not all functions work in pwsh 7 it would be beneficial if all functions could be made to work in the latest version of powershell.

  • Martin Brown
  • Nov 12 2020
  • Attach files
  • Marcus Bauerheim commented
    16 Dec, 2020 01:48pm

    ah, i just saw there is a dupplicate about this

  • Marcus Bauerheim commented
    16 Dec, 2020 01:46pm

    Hi,

    for Example the CMDlets for UpdateManager do not work in PWS7/Core.

    For Get-Baseline ->

    Exception: VMware.VumAutomation module is not currently supported on the Core edition of PowerShell.

  • Admin
    Kamen Nikolov commented
    24 Nov, 2020 03:01pm

    Can you provide specific examples of functions that don't work on PowerShell 7? Are you referring to cmdlets from the modules that haven't been ported yet or specific functionality in the modules that have already been ported?